import request from '@/utils/request'
// 登录方法
export function login(username, password) {
  const data = {
    username,
    password,
    // code,
    // uuid
  }
  return request({
    'url': '/mailLogin',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}

// 忘记密码
export function forgetPwd(username,locale) {
  return request({
    'url': '/forgetPwd?username='+username+"&locale="+locale,
    headers: {
      isToken: false
    },
    'method': 'post',
  })
}

// 注册方法
export function register(username, password) {
  const data = {
    username,
	password
  }
  return request({
    'url': '/mailRegister',
    headers: {
      isToken: false
    },
    'method': 'post',
	'data': data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/getInfo',
    'method': 'get'
  })
}

// 获取用户详细信息
export function checkVersion(obj) {
  return request({
    'url': '/device/checkVersion?versionCode='+obj.versionCode+"&platom="+obj.platom,
    data:obj,
    'method': 'post'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/logout',
    'method': 'post'
  })
}

export function deleteUser(){
  return request({
    'url': '/deleteUser',
    'method': 'post'
  })
}

// // 获取验证码
// export function getCodeImg() {
//   return request({
//     'url': '/captchaImage',
//     headers: {
//       isToken: false
//     },
//     method: 'get',
//     timeout: 20000
//   })
// }
